Bug 704835 - Review Request: nordugrid-arc-doc - Advanced Resource Connector Documentation
Summary: Review Request: nordugrid-arc-doc - Advanced Resource Connector Documentation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-15 12:05 UTC by Mattias Ellert
Modified: 2011-08-10 21:00 UTC (History)
3 users (show)

Fixed In Version: nordugrid-arc-doc-1.0.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-05 23:58:07 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2011-05-15 12:05:57 UTC
Spec URL: http://www.grid.tsl.uu.se/review/nordugrid-arc-doc.spec
SRPM URL: http://www.grid.tsl.uu.se/review/nordugrid-arc-doc-1.0.1-1.fc14.src.rpm
Description:
This package contains the documentation for the nordugrid-arc package

See package review in Bug #530684.

Comment 1 Gwyn Ciesla 2011-07-17 00:31:17 UTC
Good:

- rpmlint checks return:

Insignificant spelling errors.

- package meets naming guidelines
- package meets packaging guidelines
- license (ASL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 


So, nothing.  Except, since there are no nordugrid RPMs in Fedora, I see no need for the Provides/Obsoletes you have there.  Best to remove them to avoid bloating the yum metadata.  Otherwise, it's good.

Comment 2 Gwyn Ciesla 2011-07-17 00:32:15 UTC
Honestly, the same goes for the main nordugrid-arc spec.

Comment 3 Mattias Ellert 2011-07-18 08:27:28 UTC
Pre-Fedora Provides/Obsoletes removed:

http://www.grid.tsl.uu.se/review/nordugrid-arc-doc.spec
http://www.grid.tsl.uu.se/review/nordugrid-arc-doc-1.0.1-1.fc14.src.rpm

(I will do the same for the nordugrid-arc package before importing it in git.)

Comment 4 Gwyn Ciesla 2011-07-18 10:07:24 UTC
Excellent, thanks!

APPROVED.

Comment 5 Mattias Ellert 2011-07-18 11:46:26 UTC
Many thanks for the review!

    Mattias

New Package SCM Request
=======================
Package Name: nordugrid-arc-doc
Short Description: Advanced Resource Connector Documentation
Owners: ellert
Branches: f14 f15 el5 el6
InitialCC:

Comment 6 Gwyn Ciesla 2011-07-18 11:55:48 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-07-24 14:15:01 UTC
nordugrid-arc-doc-1.0.2-1.fc14,nordugrid-arc-1.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.fc14,nordugrid-arc-1.0.1-1.fc14

Comment 8 Fedora Update System 2011-07-24 14:15:15 UTC
nordugrid-arc-doc-1.0.2-1.el5,nordugrid-arc-1.0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.el5,nordugrid-arc-1.0.1-1.el5

Comment 9 Fedora Update System 2011-07-24 14:15:30 UTC
nordugrid-arc-doc-1.0.2-1.fc15,nordugrid-arc-1.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.fc15,nordugrid-arc-1.0.1-1.fc15

Comment 10 Fedora Update System 2011-07-24 14:15:44 UTC
nordugrid-arc-doc-1.0.2-1.el6,nordugrid-arc-1.0.1-1.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nordugrid-arc-doc-1.0.2-1.el6,nordugrid-arc-1.0.1-1.el6.1

Comment 11 Fedora Update System 2011-07-26 03:32:29 UTC
nordugrid-arc-doc-1.0.2-1.fc14, nordugrid-arc-1.0.1-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 12 Fedora Update System 2011-08-05 23:57:58 UTC
nordugrid-arc-doc-1.0.2-1.fc15, nordugrid-arc-1.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-08-05 23:58:30 UTC
nordugrid-arc-doc-1.0.2-1.fc14, nordugrid-arc-1.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-08-10 20:59:29 UTC
nordugrid-arc-doc-1.0.2-1.el5, nordugrid-arc-1.0.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2011-08-10 21:00:41 UTC
nordugrid-arc-doc-1.0.2-1.el6, nordugrid-arc-1.0.1-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.